Клуб API Карт

Народная карта

zaicev.d.a
12 июля 2013, 12:34

Для того, чтобы использовать народные карты необходимо подключить модуль следующим образом YMaps.load("regions", callback);

Подскажите, куда это прописывать, не могу понять?

 

<script type="text/javascript">

    //<![CDATA[

    var mapPlgPM1, geoResultPlgPM1;

    YMaps.jQuery(function () {

        mapPlgPM1 = new YMaps.Map(document.getElementById("YMapsIDPlgPM1"));

        mapPlgPM1.setCenter(new YMaps.GeoPoint( <?= $e ?> , <?= $n ?> ), 17, YMaps.MapType.PHYBRID);

        mapPlgPM1.enableDblClickZoom();

        mapPlgPM1.disableScrollZoom();

        mapPlgPM1.addControl(new YMaps.Zoom());

        mapPlgPM1.addControl(new YMaps.ScaleLine());

        mapPlgPM1.addControl(new YMaps.TypeControl());

        mapPlgPM1.addControl(new YMaps.MiniMap());

        mapPlgPM1.addControl(new YMaps.ToolBar());

        mapPlgPM1.addControl(new YMaps.SearchControl());

        var point19PlgPM1 = new YMaps.Placemark(new YMaps.GeoPoint( <?= $e ?> , <?= $n ?> ), {

            style: "default#lightblueSmallPoint",

            balloonOptions: {

                maxWidth: 200

            }

        });

        point19PlgPM1.setIconContent();

        mapPlgPM1.addOverlay(point19PlgPM1);

        point19PlgPM1.setBalloonContent('<?php print str_replace(";","<br />",$title);?>', {

            maxWidth: 100

        });

        point19PlgPM1.openBalloon();

    });

    //]]>

 

</script>

 

 

3 комментария
Подписаться на комментарии к посту

Во первых переходите на вторую версию, а во вторых вы спутали модуль регионов и pmap

так как правильно прописать будучи на первой версии?

http://api.yandex.ru/maps/doc/jsapi/1.x/mod/concepts/pmap.xml

Имя модуля народной карты - pmap, не regions